summaryrefslogtreecommitdiffstats
path: root/packaging/deb_script/files
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/deb_script/files')
-rw-r--r--packaging/deb_script/files/control19
-rw-r--r--packaging/deb_script/files/control_ib19
-rw-r--r--packaging/deb_script/files/postinst42
-rwxr-xr-xpackaging/deb_script/files/rules13
4 files changed, 93 insertions, 0 deletions
diff --git a/packaging/deb_script/files/control b/packaging/deb_script/files/control
new file mode 100644
index 0000000..5bc7aa4
--- /dev/null
+++ b/packaging/deb_script/files/control
@@ -0,0 +1,19 @@
+Source: glusterfs
+Section: admin
+Priority: extra
+Maintainer: lakshmipathi <lakshmipathi@gluster.com>
+Build-Depends: debhelper (>= 7), autotools-dev
+Standards-Version: 3.8.3
+Homepage: http://www.gluster.com
+
+Package: glusterfs
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends},nfs-common
+Description: clustered file-system
+ GlusterFS is a clustered file-system capable of scaling to several
+ peta-bytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
diff --git a/packaging/deb_script/files/control_ib b/packaging/deb_script/files/control_ib
new file mode 100644
index 0000000..5729bf7
--- /dev/null
+++ b/packaging/deb_script/files/control_ib
@@ -0,0 +1,19 @@
+Source: glusterfs
+Section: admin
+Priority: extra
+Maintainer: lakshmipathi <lakshmipathi@gluster.com>
+Build-Depends: debhelper (>= 7), autotools-dev
+Standards-Version: 3.8.3
+Homepage: http://www.gluster.com
+
+Package: glusterfs
+Architecture: amd64
+Depends: ${shlibs:Depends}, ${misc:Depends},nfs-common,libibverbs-dev, libibverbs1
+Description: clustered file-system
+ GlusterFS is a clustered file-system capable of scaling to several
+ peta-bytes. It aggregates various storage bricks over Infiniband RDMA
+ or TCP/IP interconnect into one large parallel network file
+ system. GlusterFS is one of the most sophisticated file system in
+ terms of features and extensibility. It borrows a powerful concept
+ called Translators from GNU Hurd kernel. Much of the code in GlusterFS
+ is in userspace and easily manageable.
diff --git a/packaging/deb_script/files/postinst b/packaging/deb_script/files/postinst
new file mode 100644
index 0000000..15c0913
--- /dev/null
+++ b/packaging/deb_script/files/postinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for glusterfs
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ mkdir -p /usr/local/libexec/glusterfs/
+ rm -rf /usr/local/libexec/glusterfs/gsyncd
+ ln -s /usr/lib/glusterfs/glusterfs/gsyncd /usr/local/libexec/glusterfs/gsyncd
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/packaging/deb_script/files/rules b/packaging/deb_script/files/rules
new file mode 100755
index 0000000..917d9bf
--- /dev/null
+++ b/packaging/deb_script/files/rules
@@ -0,0 +1,13 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+ dh $@